Name: rpkg
Version: 0.2
Release: 1%{?dist}
Summary: DistGit command-line client
License: GPLv2+
# Source is created by:
# git clone https://pagure.io/rpkg-client.git
# cd rpkg-client
# tito build --tgz
URL: https://pagure.io/rpkg-client.git
Source0: %{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: python
BuildRequires: python-devel

%if 0%{?fedora} >= 26
BuildRequires: python-rpkg
Requires: python-rpkg	
%else
BuildRequires: pyrpkg
Requires: pyrpkg
%endif

%description
DistGit command-line client.

%prep
%setup -q

%build
%{__python} setup.py build
%{__python} doc/rpkg_man_page.py > rpkg.1

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -p -m 0644 rpkg.1 $RPM_BUILD_ROOT%{_mandir}/man1

install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpkg
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

cp -a etc/rpkg/rpkg.conf $RPM_BUILD_ROOT%{_sysconfdir}/rpkg/
cp -a etc/bash_completion.d/rpkg.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/

%files
%license LICENSE
%{python2_sitelib}/*

%config(noreplace) %{_sysconfdir}/rpkg/rpkg.conf
%{_sysconfdir}/bash_completion.d/rpkg.bash
%{_bindir}/%{name}
%{_mandir}/*/*

%changelog
* Tue Jun 13 2017 clime <clime@redhat.com> 0.2-1
- new package built with tito

* Mon Jun 12 2017 clime <clime@redhat.com> 0.1-1
- Initial version
